# Record TCefDevToolsMessageObserver

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDevToolsMessageObserver = record`

## Description

Callback structure for ICefBrowserHost.AddDevToolsMessageObserver. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDevToolsMessageObserver.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_dev_tools_message: function(self: PCefDevToolsMessageObserver; browser: PCefBrowser; const message_: Pointer; message_size: NativeUInt): Integer; stdcall;`
| `on_dev_tools_method_result: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser; message_id, success: Integer; const result: Pointer; result_size: NativeUInt); stdcall;`
| `on_dev_tools_event: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser; const method: PCefString; const params: Pointer; params_size: NativeUInt); stdcall;`
| `on_dev_tools_agent_attached: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser); stdcall;`
| `on_dev_tools_agent_detached: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_dev_tools_message: function(self: PCefDevToolsMessageObserver; browser: PCefBrowser; const message_: Pointer; message_size: NativeUInt): Integer; stdcall;`
This item has no description.

| `on_dev_tools_method_result: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser; message_id, success: Integer; const result: Pointer; result_size: NativeUInt); stdcall;`
This item has no description.

| `on_dev_tools_event: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser; const method: PCefString; const params: Pointer; params_size: NativeUInt); stdcall;`
This item has no description.

| `on_dev_tools_agent_attached: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser); stdcall;`
This item has no description.

| `on_dev_tools_agent_detached: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.